Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Interface Encoding

    public interface Encoding

Method Summary
`Encoding` | `addBinaryListParm(int tag, byte[][] values)`
`Encoding` | `addBinaryParm(int tag, byte[] value)`
`Encoding` | `addBinaryParm(int tag, byte[] value, byte[] defaultValue)`
`Encoding` | `addBoolListParm(int tag, boolean[] values)`
`Encoding` | `addBoolParm(int tag, boolean value)`
`Encoding` | `addBoolParm(int tag, boolean value, boolean defaultValue)`
`Encoding` | `addEnumListParm(int tag, EnumConverting[] values)`
`Encoding` | `addEnumParm(int tag, EnumConverting value)`
`Encoding` | `addEnumParm(int tag, EnumConverting value, int defaultValue)`
`Encoding` | `addEnumParm(int tag, int value)`
`Encoding` | `addEnumParm(int tag, int value, int defval)`
`Encoding` | `addFilenameListParm(int tag, java.lang.String[] values)`
`Encoding` | `addFilenameParm(int tag, java.lang.String value)`
`Encoding` | `addFilenameParm(int tag, java.lang.String value, java.lang.String defaultValue)`
`Encoding` | `addIntListParm(int tag, int[] values)`
`Encoding` | `addIntParm(int tag, int value)`
`Encoding` | `addIntParm(int tag, int value, int defaultValue)`
`Encoding` | `addMultiGet(int oid)`
`Encoding` | `addMultiGet(PropertyEnumConverting[] properties, int modid, int oid)`
`Encoding` | `addObjectListParm(int tag, SidObject[] values)`
`Encoding` | `addObjectParm(int tag, SidObject value)`
`Encoding` | `addStringListParm(int tag, java.lang.String[] values)`
`Encoding` | `addStringParm(int tag, java.lang.String value)`
`Encoding` | `addStringParm(int tag, java.lang.String value, java.lang.String defaultValue)`
`Encoding` | `addUint64ListParm(int tag, long[] values)`
`Encoding` | `addUint64Parm(int tag, long value)`
`Encoding` | `addUint64Parm(int tag, long value, long default_value)`
`Encoding` | `addUintListParm(int tag, int[] values)`
`Encoding` | `addUintParm(int tag, int value)`
`Encoding` | `addUintParm(int tag, int value, int defaultValue)`
`Encoding` | `addXmlListParm(int tag, java.lang.String[] values)`
`Encoding` | `addXmlParm(int tag, java.lang.String value)`
`Encoding` | `addXmlParm(int tag, java.lang.String value, java.lang.String defaultValue)`
`Encoding` | `beginMultiGet(PropertyEnumConverting[] properties, int modid, int oid, ClientEncodingListener listener_)`
`Encoding` | `beginRequest(byte[] header, ClientEncodingListener listener)`
`Encoding` | `beginRequest(byte[] header, int target, ClientEncodingListener listener)`
`Decoding` | `doGetRequest(byte[] header, int oid, ClientEncodingListener listener)`
`Decoding` | `doGetRequest(byte[] header, SidObject[] objs, ClientEncodingListener listener)`
`Encoding` | `encodeBinary(byte[] value)`
`Encoding` | `encodeInt(int value)`
`Encoding` | `encodeString(java.lang.String value)`
`Encoding` | `encodeUint(int value)`
`Encoding` | `encodeUint64(long value)`
`Decoding` | `endMultiGet()`
`Decoding` | `endOneWay()`
`Decoding` | `endRequest()`

Method Detail

### encodeInt

    Encoding encodeInt(int value)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeUint

    Encoding encodeUint(int value)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeUint64

    Encoding encodeUint64(long value)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeString

    Encoding encodeString(java.lang.String value)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeBinary

    Encoding encodeBinary(byte[] value)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### addBoolParm

    Encoding addBoolParm(int tag,
                         boolean value)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addBoolParm

    Encoding addBoolParm(int tag,
                         boolean value,
                         boolean defaultValue)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addBoolListParm

    Encoding addBoolListParm(int tag,
                             boolean[] values)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### addEnumParm

    Encoding addEnumParm(int tag,
                         int value)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addEnumParm

    Encoding addEnumParm(int tag,
                         int value,
                         int defval)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addEnumParm

    Encoding addEnumParm(int tag,
                         EnumConverting value)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addEnumParm

    Encoding addEnumParm(int tag,
                         EnumConverting value,
                         int defaultValue)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addEnumListParm

    Encoding addEnumListParm(int tag,
                             EnumConverting[] values)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### addIntParm

    Encoding addIntParm(int tag,
                        int value)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### addIntParm

    Encoding addIntParm(int tag,
                        int value,
                        int defaultValue)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### addIntListParm

    Encoding addIntListParm(int tag,
                            int[] values)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### addUintParm

    Encoding addUintParm(int tag,
                         int value)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addUintParm

    Encoding addUintParm(int tag,
                         int value,
                         int defaultValue)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addUintListParm

    Encoding addUintListParm(int tag,
                             int[] values)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### addUint64Parm

    Encoding addUint64Parm(int tag,
                           long value)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addUint64Parm

    Encoding addUint64Parm(int tag,
                           long value,
                           long default_value)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addUint64ListParm

    Encoding addUint64ListParm(int tag,
                               long[] values)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### addObjectParm

    Encoding addObjectParm(int tag,
                           SidObject value)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addObjectListParm

    Encoding addObjectListParm(int tag,
                               SidObject[] values)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### addStringParm

    Encoding addStringParm(int tag,
                           java.lang.String value)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addStringParm

    Encoding addStringParm(int tag,
                           java.lang.String value,
                           java.lang.String defaultValue)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addStringListParm

    Encoding addStringListParm(int tag,
                               java.lang.String[] values)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### addFilenameParm

    Encoding addFilenameParm(int tag,
                             java.lang.String value)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### addFilenameParm

    Encoding addFilenameParm(int tag,
                             java.lang.String value,
                             java.lang.String defaultValue)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### addFilenameListParm

    Encoding addFilenameListParm(int tag,
                                 java.lang.String[] values)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### addXmlParm

    Encoding addXmlParm(int tag,
                        java.lang.String value)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### addXmlParm

    Encoding addXmlParm(int tag,
                        java.lang.String value,
                        java.lang.String defaultValue)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### addXmlListParm

    Encoding addXmlListParm(int tag,
                            java.lang.String[] values)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### addBinaryParm

    Encoding addBinaryParm(int tag,
                           byte[] value)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addBinaryParm

    Encoding addBinaryParm(int tag,
                           byte[] value,
                           byte[] defaultValue)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addBinaryListParm

    Encoding addBinaryListParm(int tag,
                               byte[][] values)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginRequest

    Encoding beginRequest(byte[] header,
                          ClientEncodingListener listener)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginRequest

    Encoding beginRequest(byte[] header,
                          int target,
                          ClientEncodingListener listener)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### endRequest

    Decoding endRequest()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### endOneWay

    Decoding endOneWay()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### doGetRequest

    Decoding doGetRequest(byte[] header,
                          SidObject[] objs,
                          ClientEncodingListener listener)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### doGetRequest

    Decoding doGetRequest(byte[] header,
                          int oid,
                          ClientEncodingListener listener)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginMultiGet

    Encoding beginMultiGet(PropertyEnumConverting[] properties,
                           int modid,
                           int oid,
                           ClientEncodingListener listener_)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addMultiGet

    Encoding addMultiGet(PropertyEnumConverting[] properties,
                         int modid,
                         int oid)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addMultiGet

    Encoding addMultiGet(int oid)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### endMultiGet

    Decoding endMultiGet()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.